Package org.eclipse.m2m.atl.profiler.model

# Interface ProfilingModel

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `ProfilingInstruction`, `ProfilingOperation`

All Known Implementing Classes:
  `ProfilingModelImpl`

public interface ProfilingModel extends ProfilingOperation
A representation of the model object 'Profiling Model'.

The following features are supported:

- `Model Name`

See Also:
  - `ModelPackage.getProfilingModel()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getModelName()`
Returns the value of the 'Model Name' attribute.
`void`
`setModelName(String value)`
Sets the value of the '`Model Name`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ProfilingInstruction

`getAtlInstruction, getContent, getInstructionID, getLaunchedMemoryUsage, getLaunchedTime, getParentOperation, getStackFrames, isHasError, setAtlInstruction, setContent, setHasError, setInstructionID, setLaunchedMemoryUsage, setLaunchedTime, setParentOperation`

### Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ProfilingOperation

`getContext, getEndMemoryUsage, getEndTime, getExecutionErrors, getExecutionInstructions, getMaxMemoryUsage, getTotalExecutedInstructions, isMatchingOperation, setEndMemoryUsage, setEndTime, setMatchingOperation, setMaxMemoryUsage, setTotalExecutedInstructions`

## Method Details

### getModelName

String getModelName()
Returns the value of the 'Model Name' attribute.

If the meaning of the 'Model Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Model Name' attribute.
See Also:
  - `setModelName(String)`
  - `ModelPackage.getProfilingModel_ModelName()`

### setModelName

void setModelName(String value)
Sets the value of the '`Model Name`' attribute.

Parameters:
  `value` - the new value of the 'Model Name' attribute.
See Also:
  - `getModelName()`